Topic
Get the topic table
Get the table of YouTube topic IDs. The topic IDs are defined by CreatorDB.
GET
/
topicTable
cURL
curl --request GET \
--url https://dev.creatordb.app/v2/topicTable \
--header 'Accept: application/json' \
--header 'apiId: LE6DPZQkR3TQShxofXoD2j8qCBu1-f0jti665m1t50dwDD12W'const options = {method: 'GET', headers: {apiId: '<apiid>'}};
fetch('https://dev.creatordb.app/v2/topicTable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://dev.creatordb.app/v2/topicTable"
headers = {"apiId": "<apiid>"}
response = requests.get(url, headers=headers)
print(response.text)
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://dev.creatordb.app/v2/topicTable"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("apiId", "<apiid>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://dev.creatordb.app/v2/topicTable")
.header("apiId", "<apiid>")
.asString();{
"data": {
"platform": "youtube",
"topics": {
"id_academic_Education": {
"name": "Academic",
"category": "Education",
"channelCount": 97
},
"id_academichistory_Education": {
"name": "Academic History",
"category": "Education",
"channelCount": 92
},
"id_culturaleducation_Education": {
"name": "Cultural Education",
"category": "Education",
"channelCount": 111
}
},
"niches": {
"id_vlog_PeopleBlogs": {
"name": "Vlog",
"category": "People Blogs",
"channelCount": 13004
},
"id_shorts_PeopleBlogs": {
"name": "Shorts",
"category": "People Blogs",
"channelCount": 7709
},
"id_love_PeopleBlogs": {
"name": "Love",
"category": "People Blogs",
"channelCount": 4153
}
}
},
"quotaUsed": 1,
"quotaUsedTotal": 6025,
"remainingPlanCredit": 993975,
"remainingPrepurchasedCredit": 0,
"timestamp": 1755503515843,
"error": "",
"success": true
}{
"data": null,
"quotaUsed": 0,
"quotaUsedTotal": 0,
"remainingPlanCredit": 0,
"remainingPrepurchasedCredit": 0,
"timestamp": 1755503514065,
"error": "PlatformNotSupport",
"success": false
}Headers
Example:
"LE6DPZQkR3TQShxofXoD2j8qCBu1-f0jti665m1t50dwDD12W"
Query Parameters
platform support youtube, instagram for now. Default is youtube if omitted.
Example:
"youtube"
Response
OK
Show child attributes
Show child attributes
API credits that were used to make this call.
Total API credits used since the last billing cycle.
The number of remaining free API credits that come with your subscription plan. These API credits are renewed every billing cycle.
The number of remaining extra purchased API credits. These API credits do not expire until used.
Unix timestamp of the call request that the server received.
Errors that occurred during the API call.
It is TRUE when the call is successful.
Last modified on February 25, 2026
⌘I
cURL
